⚠️ APIv2 is legacy
APIv2 is considered legacy and is no longer recommended for new integrations.
We strongly encourage you to use APIv4 for all new integrations and to migrate existing integrations where possible.
Please refer to our latest APIv4 documentation for up-to-date information and integration guidelines:
Click here to view the APIv4 example documentation - your own documentation is at https://[your-instance].langlion.com/api/v4/docs
Returns a list of schools (also known as departments). Schools are returned sorted by 'id' field in increasing order.
curl -G 'https://test.langlion.com/api/v2/schools' \
--header 'Authorization: Bearer af2b3df9c671d5413fc5c38b467794782b4047705ac3...'
{
"data": {
"schools": [
{
"id": 1,
"name": "Warszawa Centrum",
"shortName": "WAW Centrum",
"createdAt": null,
"updatedAt": "2018-01-03 11:53:55"
},
{
"id": 2,
"name": "Warszawa Wilanów",
"shortName": "WAW Wilanów",
"createdAt": "2018-01-02 14:32:14",
"updatedAt": "2018-01-03 11:54:23"
}
]
}
}
Required
No required parameters
Optional
No optional parameters